#!/usr/bin/env bash 

. /app/setup.sh

mkdir -p /restore

echo "### Interactive mode ###"

echo "Remote: $RESTIC_REPOSITORY"
echo "Volumes mounted at /backup"
echo "########################"
echo "rclone config                                 # edit/add remote"
echo "restic init                                   # create new repo"
echo "restic snapshots                              # list backups"
echo "restic -restore latest --target /restore      # restore latest backup to /restore"
echo "restic dump latest /backup/sqlDump/dbname.sql # Dump sql dump to console"
echo "/app/backup.sh                                # Create backup"
echo "/app/mysql.sh                                 # Open mysql client"
echo "########################"

export PS1="[${RCLONE_REMOTE} \w]\$ "
bash -i
